﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcContrib.Pagination;

namespace ContribGridDemo.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult AutoGenerateColumns()
        {
            return View(ListNews.GetList());
        }
        public ActionResult ListView()
        {
            return View(ListNews.GetList());
        }
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult NewsDetails(int newsId)
        {
            return View(ListNews.GetList().Where(p => p.ID == newsId));
        }
        public ActionResult ListPager(int? page)
        {
            var pagedNews = ListNews.GetList().AsPagination(page.GetValueOrDefault(1), 5);
            return View(pagedNews);
        }
        public ActionResult CustomPager(int? page)
        {
            int pageSize=5;
            int pageNumber = page ?? 1;
            var list = ListNews.GetList().Skip((pageNumber-1) * pageSize).Take(pageSize);
            int total = ListNews.GetList().Count;
            CustomPagination<News> customes = new CustomPagination<News>(list, pageNumber, pageSize, total);
            return View(customes);
        }
    }
}
